Ioncube Loader 7.1 verfügbar

Scheinbar ist seit kurzem der Ioncube Loader für PHP 7.1 verfügbar. Meine letzten Downloads dazu (Loader Download - PHP Encoder, protection, installer and performance tools from ionCube) vom 15.06.2017 und 12.07.2017 enthielten noch keine ioncube_loader_lin_7.1.so Files.

Seit dem Update von gestern scheinen diese erstmals inkludiert zu sein - heute Abend teste ich mal ob der Spass mit der neusten PHP 7.1 Version und Premium Plugins funktioniert.

Weiß da jemand mehr? Gibt es die Version schon länger? Finde die Kommunikation von Ioncube immer sehr dürftig…

 

PS:

_ 2nd Aug 2017  - Loader 10.0.0 released 
Loader 10.0.0 released. 
These are loaders to run files produced by the forthcoming version 10 ionCube PHP Encoder.
Included are loaders for PHP 7.1. Those will only run files produced by
the version 10 encoder for PHP 7.1._

 

 

 

Gibt es glaube ich seit Ende August bereits. Steht zumindest hier: ionCube News - PHP Encoder, protection, installer and performance tools from ionCube

Unsere Plugins (Premium-Plugins) brauchen den Loader ja schon ab 5.2 nicht mehr. Den brauchst du nur für verschlüsselte Plugins aus dem Store und den Lizenz-Manager (wird bei unseren Plugins auch nicht benötigt). Allerdings sind die aktuellen Pakete die du verschlüsselt über den Community Store bekommst, noch nicht mit PHP7.1 kompatibel. Wie du bereits erkannt hast, ist die Kommunikation von Ioncube sehr dürfig. Wir sind gerade in Gesprächen, inwieweit man die Verschlüsselung im Store anpassen muss, damit wir auch PHP7.1 + ioncube unterstützen können.

Die neuste Loader-Version + php7.0 funktioniert auch mit den Paketen aus dem Store, nur die Lösung ioncube + php7.1 nicht (obwohl die gleiche Loader Version genutzt wird).

Hallo Moritz,

schade. Hatte mich schon darauf gefreute endlich PHP 7.1 einsetzen zu können. Ihr verschickt dann sicher einen NL o.Ä. sobald PHP 7.1 genutzt werden kann, ja?

 

 

Und warum? Was bringt dir 7.1. mehr?

@pemmler schrieb:

Und warum? Was bringt dir 7.1. mehr?

Das: PHP 7.1 vs. 7.0 performance benchmarks with Symfony 

Gibt es hier schon etwas neues? Da ioncube nun endlich mal in die Pötte gekommen ist würde ich wirklich gerne auf Php 7.1 updaten! 

Würde mich auch interessieren!

Das wird sich wohl noch etwas hinziehen. Ich schau die Tage mal, ob ich den aktuellen Stand rausbekomme.

Hi [@Moritz Naczenski](http://forum.shopware.com/profile/14574/Moritz Naczenski „Moritz Naczenski“)‍ hast du hier schon Neuigkeiten?

Gibts was neues? 

Interessant, habe auch gerade daran gedacht… Gibt es hier Neuigkeiten? [@Moritz Naczenski](http://forum.shopware.com/profile/14574/Moritz Naczenski „Moritz Naczenski“)‍

Da ich gerade im Moment darüber stolpere (DHL Anbindung PHP 7.1 <> Ioncube) würde mich auch interessieren, ob es hier nen neuen Stand gibt

Hallo,

auch mich würde es interesieren ob es einen neuen Stand gibt. 
Da ich egrade bei der Installation von ioncube bei PHP-Version 7.1.10 hänge.

 

Vielen Dank!

PHP 7.2.0 wurde vor kurzem released… http://php.net/archive/2017.php#id2017-11-30-1

Wie ist hier der Stand?

 

@SB schrieb:

Warum die Eile ? Wenn die Kompatibilität zu 7.1 (siehe diverse Posts im Forum) nicht gegeben ist, warum sollte sich das mit 7.2 ändern?.

Shopware ist mit PHP 7.0.xx kompatibel. Nimm’ 7.0.xx und alles ist gut.

Was meinst du mit Kompatibilität nicht gegeben? Shopware läuft einwandfrei mit 7.1 ohne verschl. Plugins. Es ging mir mit dem Post darum darauf hinzuweisen, dass bereits PHP7.2 released wurde und es immer noch keinen Ioncube Verschlüsselung mit Version 10 gibt. 

Gibt es denn keinen alternativen PHP Encoder? 

Oder SW integriert einen eigenen Decoder in den Lizenzmanager.

@indigo schrieb:

Gibt es denn keinen alternativen PHP Encoder? 

Oder SW integriert einen eigenen Decoder in den Lizenzmanager.

Soviel ich weiß gibt es keine Alternative. Ist im Normalfall auch eine exotische Erweiterung.

Sobald du anfängst einen Encoder in Shopware zu integrieren ist es wieder PHP, dann kannst es dir auch gleich sparen. Ein Encoder muss irgendwie kompilieren, und das erreicht man nur in Form einer PHP Extension. 

Wenn jede Versionsanpassung so lange dauert, sollte man sich eventuell nochmal überlegen ob das der richtige Weg ist. Wo liegt eigentlich aktuell das Problem @ShopwareTeam ? Sind es Inkompatibilitäten? Testing? Nicht in der Planung da nicht Urgent? Lizenzproblem mit Ioncube?

Edit: Habe nochmal gelesen was Moritz vor 4-5 Monaten geschrieben hat. Scheint an der Rückmeldung von Ioncube zu liegen. Der Encoder scheint ja nicht sehr flexibel zu sein - schon komisch.

[@Moritz Naczenski](http://forum.shopware.com/profile/14574/Moritz Naczenski “Moritz Naczenski”)‍ konntest du was herausfinden?

@Misengo schrieb:

[@Moritz Naczenski](http://forum.shopware.com/profile/14574/Moritz Naczenski “Moritz Naczenski”)‍ konntest du was herausfinden?

Siehe: https://forum.shopware.com/discussion/comment/212094/#Comment_212094

Kurzfristig wird es da also nichts geben.